﻿namespace Blahblah.FlowerStory.Server.Controller;

partial class UserController
{
}

/// <summary>
/// 登录参数
/// </summary>
/// <param name="Id">用户 id</param>
/// <param name="Password">密码</param>
public record LoginParamter(string Id, string Password);

/// <summary>
/// 用户注册参数
/// </summary>
/// <param name="Id">用户 id</param>
/// <param name="Password">密码</param>
/// <param name="UserName">用户名</param>
/// <param name="Email">邮箱</param>
/// <param name="Mobile">联系电话</param>
public record UserParameter(string Id, string Password, string UserName, string? Email, string? Mobile) : UpdateParameter(UserName, Email, Mobile);

/// <summary>
/// 用户修改参数
/// </summary>
/// <param name="UserName">用户名</param>
/// <param name="Email">邮箱</param>
/// <param name="Mobile">联系电话</param>
public record UpdateParameter(string UserName, string? Email, string? Mobile);
